<?php
$fiber = new Fiber(function(): void {
    $value = Fiber::suspend('na razie dam sobie spokój...');
    echo "Wznawiam działanie: $value".PHP_EOL;
});

echo "=> Fiber rozpoczął działanie".PHP_EOL;

$result = $fiber->start();
echo "Zawieszam działanie: $result".PHP_EOL;

$fiber->resume('a teraz coś innego...');
echo "<= Fiber zakończył działanie".PHP_EOL;